//
//  ObjectInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class ObjectInspector extends Inspector {

	public String bindingBaseName() {
		return "obj";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[]{"hashCode", "description"});
	}

    public NSArray allActions() {
		return null;
	}
	
	public int hashCode() {
		return object().hashCode();
	}
	
	public String description() {
		return object().toString();
	}
}
