//
//  DelegateLoggerInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.appserver.*;
import com.webobjects.eocontrol.*;

public class DelegateLoggerInspector extends Inspector {

	public String bindingBaseName() {
		return "dlogger";
	}
	
    public DelegateLogger delegateLogger() {
        return (DelegateLogger)object();
    }

    public NSArray allKeys() {
        return new NSArray(new Object[] {
            "methodName", "target", "logs", "parentLogger", "rootLogger", "description"});
    }

    public NSArray allActions() {
        return new NSArray(new Object[] {
            "update", "removeLogs", "removeAllLogs"});
    }

}
