//
//  EOAttributeInspector.java
//  EOInspector
//

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class EOAttributeInspector extends Inspector {
	
	public String bindingBaseName() {
		return "attr";
	}
	
    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"entity", "parent", "name", "columnName", "definition", "externalType",
			"serverTimeZone", "valueClassName", "valueType", "allowsNull",
			"precision", "scale", "width", "adaptorValueType",
			"valueFactoryMethodName", "factoryMethodArgumentType",
			"adaptorValueConversionMethodName", "isReadOnly", "isDerived",
			"isFlattened", "readFormat", "writeFormat", "userInfo",
			"parameterDirection", "storedProcedure", "prototypeName", "description"});
			
	}

    public NSArray allActions() {
		return null;
	}

}
