//
//  LogInspector.java
//  EOInspector
//

import java.util.*;
import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class LogInspector extends Inspector {

	public String bindingBaseName() {
		return "log";
	}
	
	public Log log() {
		return (Log)object();
	}

    public NSArray allKeys() {
		return new NSArray(new Object[] {
			"methodName", "target", "timestamp", "userinfo", "description"});
	}

    public NSArray allActions() {
		return null;
	}

	public Date timestamp() {
		return new Date(log().timestamp());
	}

}
